--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: index
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: metadata
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: path
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: query
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: FastRI::FullTextIndex::Result
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: context
- !ruby/object:RI::MethodSummary 
  name: text
name: Result
superclass: Object
